namespace GMSAudioConverter
{
    public struct AudioGroupID
    {
        public string Name { get; set; }
        public string Path { get; set; }
    }

    public struct Parent
    {
        public string Name { get; set; }
        public string Path { get; set; }
    }

    public struct GMSound
    {
        public uint Compression { get; set; }
        public float Volume { get; set; }
        public bool Preload { get; set; }
        public uint BitRate { get; set; }
        public uint SampleRate { get; set; }
        public uint Type { get; set; }
        public uint BitDepth { get; set; }
        public AudioGroupID AudioGroupID { get; set; }
        public string SoundFile { get; set; }
        public float Duration { get; set; }
        public Parent Parent { get; set; }
        public string ResourceVersion { get; set; }
        public string Name { get; set; }
        public string[] Tags { get; set; }
        public string ResourceType { get; set; }
    }
}
